Show / Hide Table of Contents

# Interface IBindingContext

The context used for binding requests

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public interface IBindingContext

### Properties

| Improve this Doc View Source

#### Binder

Gets or sets the binder

##### Declaration

    IBinder Binder { get; set; }

##### Property Value

Type | Description
--- | ---
Microsoft.SqlServer.Management.SqlParser.Binder.IBinder |

| Improve this Doc View Source

#### BindingLock

Gets the binding lock object

##### Declaration

    ManualResetEvent BindingLock { get; }

##### Property Value

Type | Description
--- | ---
System.Threading.ManualResetEvent |

| Improve this Doc View Source

#### BindingTimeout

Gets or sets the binding operation timeout in milliseconds

##### Declaration

    int BindingTimeout { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### DatabaseCompatibilityLevel

Gets or sets the database compatibility level

##### Declaration

    DatabaseCompatibilityLevel DatabaseCompatibilityLevel { get; }

##### Property Value

Type | Description
--- | ---
Microsoft.SqlServer.Management.SqlParser.Common.DatabaseCompatibilityLevel |

| Improve this Doc View Source

#### DatabaseEngineType

Gets or sets the database engine type

##### Declaration

    DatabaseEngineType DatabaseEngineType { get; }

##### Property Value

Type | Description
--- | ---
Microsoft.SqlServer.Management.Common.DatabaseEngineType |

| Improve this Doc View Source

#### IsConnected

Gets or sets a flag indicating if the context is connected

##### Declaration

    bool IsConnected { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### MetadataDisplayInfoProvider

Gets or sets the metadata display info provider

##### Declaration

    MetadataDisplayInfoProvider MetadataDisplayInfoProvider { get; set; }

##### Property Value

Type | Description
--- | ---
Microsoft.SqlServer.Management.SqlParser.MetadataProvider.MetadataDisplayInfoProvider |

| Improve this Doc View Source

#### ParseOptions

Gets or sets the current connection parse options

##### Declaration

    ParseOptions ParseOptions { get; }

##### Property Value

Type | Description
--- | ---
Microsoft.SqlServer.Management.SqlParser.Parser.ParseOptions |

| Improve this Doc View Source

#### ServerConnection

Gets or sets the binding server connection

##### Declaration

    ServerConnection ServerConnection { get; set; }

##### Property Value

Type | Description
--- | ---
Microsoft.SqlServer.Management.Common.ServerConnection |

| Improve this Doc View Source

#### ServerVersion

Gets or sets the current connection server version

##### Declaration

    ServerVersion ServerVersion { get; }

##### Property Value

Type | Description
--- | ---
Microsoft.SqlServer.Management.Common.ServerVersion |

| Improve this Doc View Source

#### SmoMetadataProvider

Gets or sets the SMO metadata provider

##### Declaration

    SmoMetadataProvider SmoMetadataProvider { get; set; }

##### Property Value

Type | Description
--- | ---
Microsoft.SqlServer.Management.SmoMetadataProvider.SmoMetadataProvider |

| Improve this Doc View Source

#### TransactSqlVersion

Gets or sets the T-SQL version

##### Declaration

    TransactSqlVersion TransactSqlVersion { get; }

##### Property Value

Type | Description
--- | ---
Microsoft.SqlServer.Management.SqlParser.Common.TransactSqlVersion |